Type to search.

Schedule a snooze for the rule

Base URL
https://{kibana_url}
  • POST /api/alerting/rule/{id}/snooze_schedule
  • POST /s/{space_id}/api/alerting/rule/{id}/snooze_schedule
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 8.19 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

When you snooze a rule, the rule checks continue to run but alerts will not generate actions. You can snooze for a specified period of time and schedule single or recurring downtimes.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string required

Identifier of the rule.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

schedule object required

Responses

Indicates a successful call.

application/json
body object required
schedule object required
custom object
Same fields as custom in schedule
id string required

Identifier of the snooze schedule.

400

Indicates an invalid schema.

403

Indicates that this call is forbidden.

404

Indicates a rule with the given id does not exist.